## org.jibx.extras
Class DocumentModelMapperBase

    java.lang.Object
      org.jibx.extras.DocumentModelMapperBase

Direct Known Subclasses:
  Dom4JMapperBase, DomMapperBase

    public class DocumentModelMapperBase

extends java.lang.Object

Base implementation for custom marshaller/unmarshallers to any document model representation. This class just provides a few basic operations that are used by the representation-specific subclasses.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Field Summary
`static java.lang.String` `XML_NAMESPACE` Fixed XML namespace.
`static java.lang.String` `XMLNS_NAMESPACE` Fixed XML namespace namespace.

Constructor Summary
`DocumentModelMapperBase()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_NAMESPACE

    public static final java.lang.String XML_NAMESPACE

  Fixed XML namespace.

  See Also:
    Constant Field Values

### XMLNS_NAMESPACE

    public static final java.lang.String XMLNS_NAMESPACE

  Fixed XML namespace namespace.

  See Also:
    Constant Field Values

Constructor Detail

### DocumentModelMapperBase

    public DocumentModelMapperBase()

Project Web Site |